aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes
diff options
context:
space:
mode:
authorSylvain Desbureaux <sylvain.desbureaux@orange.com>2021-09-14 06:23:22 +0000
committerGerrit Code Review <gerrit@onap.org>2021-09-14 06:23:22 +0000
commit2d24302e99c5ddabcb1696195000f9e7aabef5e4 (patch)
treea8b254912439dc975d385e1d506a9840381d254d /kubernetes
parentd362d9f64521d4585f779ff450f547da1ac00adb (diff)
parente4ebb69aaa3ae453578510c2005a4b9a683d65d4 (diff)
Merge "[COMMON] Fix deploy.sh/undeploy.sh scripts"
Diffstat (limited to 'kubernetes')
-rwxr-xr-xkubernetes/helm/plugins/deploy/deploy.sh4
-rwxr-xr-xkubernetes/helm/plugins/undeploy/undeploy.sh4
2 files changed, 4 insertions, 4 deletions
diff --git a/kubernetes/helm/plugins/deploy/deploy.sh b/kubernetes/helm/plugins/deploy/deploy.sh
index 536be7b4a9..2182dde1d6 100755
--- a/kubernetes/helm/plugins/deploy/deploy.sh
+++ b/kubernetes/helm/plugins/deploy/deploy.sh
@@ -91,7 +91,7 @@ deploy() {
# validate params
if [ -z "$1" ] || [ -z "$2" ]; then
usage
- exit 0
+ exit 1
fi
RELEASE=$1
@@ -123,7 +123,7 @@ deploy() {
fi
# determine if set-last-applied flag is enabled
SET_LAST_APPLIED="false"
- if expr"$FLAGS" : ".*--set-last-applied.*" ; then
+ if expr "$FLAGS" : ".*--set-last-applied.*" ; then
FLAGS="$(echo $FLAGS| sed -n 's/--set-last-applied//p')"
SET_LAST_APPLIED="true"
fi
diff --git a/kubernetes/helm/plugins/undeploy/undeploy.sh b/kubernetes/helm/plugins/undeploy/undeploy.sh
index 72c64244c0..a3b0e3c623 100755
--- a/kubernetes/helm/plugins/undeploy/undeploy.sh
+++ b/kubernetes/helm/plugins/undeploy/undeploy.sh
@@ -29,9 +29,9 @@ undeploy() {
done
}
-if [ $# < 1 ]; then
+if [ -z "$1" ]; then
echo "Error: command 'undeploy' requires a release name"
- exit 0
+ exit 1
fi
case "${1:-"help"}" in